##
##  less.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         less
Summary:      Text File Pager
URL:          http://www.greenwoodsoftware.com/less/
Vendor:       Free Software Foundation
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        BASE
Group:        ShellUtils
License:      GPL
Version:      679
Release:      20250620

#   list of sources
Source0:      http://www.greenwoodsoftware.com/less/less-%{version}-beta.tar.gz
Source1:      lesspipe
Source2:      rc.less
Patch0:       less.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101

%description
    Less is a program similar to more(1), but which allows backward movement
    in the file as well as forward movement. Also, less does not have to read
    the entire input file before starting, so with large input files it starts
    up faster than text editors like vi(1). Less uses termcap (or terminfo on
    some systems), so it can run on a variety of terminals. There is even
    limited support for hardcopy terminals.  (On a hardcopy terminal, lines
    which should be printed at the top of the screen are prefixed with a
    caret.) Commands are based on both more and vi. Commands may be preceded
    by a decimal number, called N in the descriptions below. The number is
    used by some commands, as indicated.  This package also provides more(1),
    because less(1) is backward compatible to more(1).

%track
    prog less = {
        version   = %{version}
        url       = http://www.greenwoodsoftware.com/less/download.html
        regex     = less-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O} %{l_cppflags}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    GREP="grep" \
    %{l_bash} ./configure \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/less*
    ln  $RPM_BUILD_ROOT%{l_prefix}/bin/less \
        $RPM_BUILD_ROOT%{l_prefix}/bin/more
    ln  $RPM_BUILD_ROOT%{l_prefix}/man/man1/less.1 \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1/more.1
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE lesspipe} $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE rc.less} $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

